Flecs: ecs_world_info_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_world_info_t Struct Reference
C API » Core » API types » Miscellaneous types

Type that contains information about the world. More...

`#include <flecs.h>`

## Public Attributes
ecs_entity_t | last_component_id
| Last issued component entity id.
ecs_entity_t | min_id
| First allowed entity id.
ecs_entity_t | max_id
| Last allowed entity id.
float | delta_time_raw
| Raw delta time (no time scaling)
float | delta_time
| Time passed to or computed by ecs_progress()
float | time_scale
| Time scale applied to delta_time.
float | target_fps
| Target fps.
float | frame_time_total
| Total time spent processing a frame.
float | system_time_total
| Total time spent in systems.
float | emit_time_total
| Total time spent notifying observers.
float | merge_time_total
| Total time spent in merges.
float | rematch_time_total
| Time spent on query rematching.
double | world_time_total
| Time elapsed in simulation.
double | world_time_total_raw
| Time elapsed in simulation (no scaling)
int64_t | frame_count_total
| Total number of frames.
int64_t | merge_count_total
| Total number of merges.
int64_t | eval_comp_monitors_total
| Total number of monitor evaluations.
int64_t | rematch_count_total
| Total number of rematches.
int64_t | id_create_total
| Total number of times a new id was created.
int64_t | id_delete_total
| Total number of times an id was deleted.
int64_t | table_create_total
| Total number of times a table was created.
int64_t | table_delete_total
| Total number of times a table was deleted.
int64_t | pipeline_build_count_total
| Total number of pipeline builds.
int64_t | systems_ran_frame
| Total number of systems ran in last frame.
int64_t | observers_ran_frame
| Total number of times observer was invoked.
int32_t | tag_id_count
| Number of tag (no data) ids in the world.
int32_t | component_id_count
| Number of component (data) ids in the world.
int32_t | pair_id_count
| Number of pair ids in the world.
int32_t | table_count
| Number of tables.
struct { |
int64_t add_count |
| Add commands processed. More...
int64_t remove_count |
| Remove commands processed. More...
int64_t delete_count |
| Selete commands processed. More...
int64_t clear_count |
| Clear commands processed. More...
int64_t set_count |
| Set commands processed. More...
int64_t ensure_count |
| Ensure/emplace commands processed. More...
int64_t modified_count |
| Modified commands processed. More...
int64_t discard_count |
| Commands discarded, happens when entity is no longer alive when running the command. More...
int64_t event_count |
| Enqueued custom events. More...
int64_t other_count |
| Other commands processed. More...
int64_t batched_entity_count |
| Entities for which commands were batched. More...
int64_t batched_command_count |
| Commands batched. More...
} | cmd
| Command statistics.
const char * | name_prefix
| Value set by ecs_set_name_prefix().

## Detailed Description

Type that contains information about the world.

Definition at line 1447 of file flecs.h.

## Member Data Documentation

## ◆ add_count

int64_t ecs_world_info_t::add_count

Add commands processed.

Definition at line 1485 of file flecs.h.

## ◆ batched_command_count

int64_t ecs_world_info_t::batched_command_count

Commands batched.

Definition at line 1496 of file flecs.h.

## ◆ batched_entity_count

int64_t ecs_world_info_t::batched_entity_count

Entities for which commands were batched.

Definition at line 1495 of file flecs.h.

## ◆ clear_count

int64_t ecs_world_info_t::clear_count

Clear commands processed.

Definition at line 1488 of file flecs.h.

## ◆ component_id_count

int32_t ecs_world_info_t::component_id_count

Number of component (data) ids in the world.

Definition at line 1478 of file flecs.h.

## ◆ delete_count

int64_t ecs_world_info_t::delete_count

Selete commands processed.

Definition at line 1487 of file flecs.h.

## ◆ delta_time

float ecs_world_info_t::delta_time

Time passed to or computed by ecs_progress()

Definition at line 1453 of file flecs.h.

## ◆ delta_time_raw

float ecs_world_info_t::delta_time_raw

Raw delta time (no time scaling)

Definition at line 1452 of file flecs.h.

## ◆ discard_count

int64_t ecs_world_info_t::discard_count

Commands discarded, happens when entity is no longer alive when running the command.

Definition at line 1492 of file flecs.h.

## ◆ emit_time_total

float ecs_world_info_t::emit_time_total

Total time spent notifying observers.

Definition at line 1458 of file flecs.h.

## ◆ ensure_count

int64_t ecs_world_info_t::ensure_count

Ensure/emplace commands processed.

Definition at line 1490 of file flecs.h.

## ◆ eval_comp_monitors_total

int64_t ecs_world_info_t::eval_comp_monitors_total

Total number of monitor evaluations.

Definition at line 1466 of file flecs.h.

## ◆ event_count

int64_t ecs_world_info_t::event_count

Enqueued custom events.

Definition at line 1493 of file flecs.h.

## ◆ frame_count_total

int64_t ecs_world_info_t::frame_count_total

Total number of frames.

Definition at line 1464 of file flecs.h.

## ◆ frame_time_total

float ecs_world_info_t::frame_time_total

Total time spent processing a frame.

Definition at line 1456 of file flecs.h.

## ◆ id_create_total

int64_t ecs_world_info_t::id_create_total

Total number of times a new id was created.

Definition at line 1469 of file flecs.h.

## ◆ id_delete_total

int64_t ecs_world_info_t::id_delete_total

Total number of times an id was deleted.

Definition at line 1470 of file flecs.h.

## ◆ last_component_id

ecs_entity_t ecs_world_info_t::last_component_id

Last issued component entity id.

Definition at line 1448 of file flecs.h.

## ◆ max_id

ecs_entity_t ecs_world_info_t::max_id

Last allowed entity id.

Definition at line 1450 of file flecs.h.

## ◆ merge_count_total

int64_t ecs_world_info_t::merge_count_total

Total number of merges.

Definition at line 1465 of file flecs.h.

## ◆ merge_time_total

float ecs_world_info_t::merge_time_total

Total time spent in merges.

Definition at line 1459 of file flecs.h.

## ◆ min_id

ecs_entity_t ecs_world_info_t::min_id

First allowed entity id.

Definition at line 1449 of file flecs.h.

## ◆ modified_count

int64_t ecs_world_info_t::modified_count

Modified commands processed.

Definition at line 1491 of file flecs.h.

## ◆ name_prefix

const char* ecs_world_info_t::name_prefix

Value set by ecs_set_name_prefix().

Used to remove library prefixes of symbol names (such as Ecs, ecs_) when registering them as names.

Definition at line 1499 of file flecs.h.

## ◆ observers_ran_frame

int64_t ecs_world_info_t::observers_ran_frame

Total number of times observer was invoked.

Definition at line 1475 of file flecs.h.

## ◆ other_count

int64_t ecs_world_info_t::other_count

Other commands processed.

Definition at line 1494 of file flecs.h.

## ◆ pair_id_count

int32_t ecs_world_info_t::pair_id_count

Number of pair ids in the world.

Definition at line 1479 of file flecs.h.

## ◆ pipeline_build_count_total

int64_t ecs_world_info_t::pipeline_build_count_total

Total number of pipeline builds.

Definition at line 1473 of file flecs.h.

## ◆ rematch_count_total

int64_t ecs_world_info_t::rematch_count_total

Total number of rematches.

Definition at line 1467 of file flecs.h.

## ◆ rematch_time_total

float ecs_world_info_t::rematch_time_total

Time spent on query rematching.

Definition at line 1460 of file flecs.h.

## ◆ remove_count

int64_t ecs_world_info_t::remove_count

Remove commands processed.

Definition at line 1486 of file flecs.h.

## ◆ set_count

int64_t ecs_world_info_t::set_count

Set commands processed.

Definition at line 1489 of file flecs.h.

## ◆ system_time_total

float ecs_world_info_t::system_time_total

Total time spent in systems.

Definition at line 1457 of file flecs.h.

## ◆ systems_ran_frame

int64_t ecs_world_info_t::systems_ran_frame

Total number of systems ran in last frame.

Definition at line 1474 of file flecs.h.

## ◆ table_count

int32_t ecs_world_info_t::table_count

Number of tables.

Definition at line 1481 of file flecs.h.

## ◆ table_create_total

int64_t ecs_world_info_t::table_create_total

Total number of times a table was created.

Definition at line 1471 of file flecs.h.

## ◆ table_delete_total

int64_t ecs_world_info_t::table_delete_total

Total number of times a table was deleted.

Definition at line 1472 of file flecs.h.

## ◆ tag_id_count

int32_t ecs_world_info_t::tag_id_count

Number of tag (no data) ids in the world.

Definition at line 1477 of file flecs.h.

## ◆ target_fps

float ecs_world_info_t::target_fps

Target fps.

Definition at line 1455 of file flecs.h.

## ◆ time_scale

float ecs_world_info_t::time_scale

Time scale applied to delta_time.

Definition at line 1454 of file flecs.h.

## ◆ world_time_total

double ecs_world_info_t::world_time_total

Time elapsed in simulation.

Definition at line 1461 of file flecs.h.

## ◆ world_time_total_raw

double ecs_world_info_t::world_time_total_raw

Time elapsed in simulation (no scaling)

Definition at line 1462 of file flecs.h.

The documentation for this struct was generated from the following file:

- include/flecs.h